Retrieve a Customer Shipping Address {#tms-ship-addr-tkn-retrieve-intro}
========================================================================

This section describes how to retrieve a customer shipping address.

Endpoint {#tms-ship-addr-tkn-retrieve-intro_section_hqw_rjt_gwb}
----------------------------------------------------------------

**Test:** `GET ``https://apitest.visaacceptance.com``/tms/v2/customers/`*{customerTokenId}*`/shipping-addresses/{shippingAddressTokenId}`{#tms-ship-addr-tkn-retrieve-intro_restcust-test}  
**Production:** `GET ``https://api.visaacceptance.com``/tms/v2/customers/`*{customerTokenId}*`/shipping-addresses/{shippingAddressTokenId}`  
The *`{customerTokenId}`* is the customer token ID returned in the id field when you created the customer token. In the *`{shippingAddressTokenId}`* path parameter, pass the shipping address token ID response field returned when you created a shipping address token. For more information, see [Create a Customer](/docs/vas/en-us/tms/developer/all/rest/tms/tms-cust-tkn/tms-manage-cust-tkn/tms-cust-tkn-create-intro.md "") and [Create a Customer Shipping Address](/docs/vas/en-us/tms/developer/all/rest/tms/tms-cust-tkn/tms-ship-tkn/tms-ship-addr-tkn-create-intro.md "").

REST Example: Retrieving a Shipping Address {#tms-ship-addr-tkn-retrieve-ex-rest}
=================================================================================

Request

```keyword
GET https://apitest.visaacceptance.com/tms/v2/customers/F2F3ADA770102B51E053A2598D0A9078/shipping-addresses/F2F4C2D1B966D631E053A2598D0AB155
```

{#tms-ship-addr-tkn-retrieve-ex-rest_codeblock_c51_vmt_gwb}  
Response to a Successful Request

```
{ 
  "shipTo": { 
    "firstName": "Jane", 
    "lastName": "Smith", 
    "company": "Lear Group, LLC", 
    "address1": "123 Mountain Peaks Rd", 
    "address2": "", 
    "locality": "Mountain Peaks", 
    "administrativeArea": "CA", 
    "postalCode": "90212", 
    "country": "US", 
    "email": "jane.smith@leargroupllc.world", 
    "phoneNumber": "123-456-7890" 
  }
}
```

{#tms-ship-addr-tkn-retrieve-ex-rest_codeblock_e51_vmt_gwb}
